# Uses of Class
org.osgi.framework.VersionRange

Packages that use VersionRange
Package
Description
org.osgi.framework
Framework Package Version 1.8.

## Uses of VersionRange in org.osgi.framework

Methods in org.osgi.framework that return VersionRange
Modifier and Type
Method
Description
`VersionRange`
VersionRange.`intersection(VersionRange... ranges)`
Returns the intersection of this version range with the specified version ranges.
`static VersionRange`
VersionRange.`valueOf(String range)`
Returns a `VersionRange` object holding the version range in the specified `String`.
Methods in org.osgi.framework with parameters of type VersionRange
Modifier and Type
Method
Description
`VersionRange`
VersionRange.`intersection(VersionRange... ranges)`
Returns the intersection of this version range with the specified version ranges.